Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.testcase
Class WsdlTestRunContext

    java.lang.Object
      com.eviware.soapui.model.support.AbstractSubmitContext
          com.eviware.soapui.impl.wsdl.testcase.WsdlTestRunContext

All Implemented Interfaces:
  SubmitContext, TestRunContext, java.util.Map<java.lang.String,java.lang.Object>

    public class WsdlTestRunContext

extends AbstractSubmitContext
implements TestRunContext

TestRunContext for WsdlTestCase runners

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestRunContext
`LOAD_TEST_CONTEXT, LOAD_TEST_RUNNER, RUN_COUNT, THREAD_INDEX`

Fields inherited from interface com.eviware.soapui.model.iface.SubmitContext
`HTTP_STATE_PROPERTY, PROPERTY_SEPARATOR`

Constructor Summary
`WsdlTestRunContext(TestRunner testRunner, PropertiesMap properties)`
`WsdlTestRunContext(TestStep testStep)`

Method Summary
`TestStep` | `getCurrentStep()`
`int` | `getCurrentStepIndex()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String testStepName, java.lang.String propertyName)`
`TestCase` | `getTestCase()`
`TestRunner` | `getTestRunner()`
`void` | `reset()`
`void` | `setCurrentStep(int index)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class com.eviware.soapui.model.support.AbstractSubmitContext
`clear, clone, containsKey, containsValue, entrySet, equals, get, getProperties, getProperty, hashCode, hasProperty, isEmpty, keySet, put, putAll, remove, removeProperty, resetProperties, setProperty, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.SubmitContext
`hasProperty, removeProperty`

Constructor Detail

### WsdlTestRunContext

    public WsdlTestRunContext(TestRunner testRunner,
                              PropertiesMap properties)

### WsdlTestRunContext

    public WsdlTestRunContext(TestStep testStep)

Method Detail

### getCurrentStep

    public TestStep getCurrentStep()

  Specified by:
    `getCurrentStep` in interface `TestRunContext`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `SubmitContext`
  Overrides:
    `setProperty` in class `AbstractSubmitContext`

### getCurrentStepIndex

    public int getCurrentStepIndex()

  Specified by:
    `getCurrentStepIndex` in interface `TestRunContext`

### setCurrentStep

    public void setCurrentStep(int index)

### getTestRunner

    public TestRunner getTestRunner()

  Specified by:
    `getTestRunner` in interface `TestRunContext`

### getProperty

    public java.lang.Object getProperty(java.lang.String testStepName,
                                        java.lang.String propertyName)

  Specified by:
    `getProperty` in interface `TestRunContext`

### getTestCase

    public TestCase getTestCase()

  Specified by:
    `getTestCase` in interface `TestRunContext`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `SubmitContext`

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.